ServerEvents.recipes((event) => {
  // =========================================
  // Easy Villagers
  // =========================================

  // Trader
  event
    .shaped("easy_villagers:trader", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "rats:rat_upgrade_aristocrat",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:trader");

  // Auto Trader
  event
    .shaped("easy_villagers:auto_trader", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#thermal:glass/hardened",
      B: "easy_villagers:trader",
      C: "#forge:storage_blocks/invar",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:auto_trader");

  // Farmer
  event
    .shaped("easy_villagers:farmer", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "thermal:device_soil_infuser",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:farmer");

  // Breeder
  event
    .shaped("easy_villagers:breeder", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "#minecraft:beds",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:breeder");

  // Converter
  event
    .shaped("easy_villagers:converter", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "minecraft:zombie_head",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:converter");

  // Iron Farm
  event
    .shaped("easy_villagers:iron_farm", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "minecraft:lava_bucket",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:iron_farm");

  // Incubator
  event
    .shaped("easy_villagers:incubator", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "naturalist:teddy_bear",
      C: "#forge:storage_blocks/iron",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_villagers:incubator");

  // Barterer
  event
    .shaped("easy_piglins:barterer", [
        "AAA", 
        "ABA", 
        "CDC"
    ], 
    {
      A: "#forge:glass",
      B: "minecraft:gilded_blackstone",
      C: "minecraft:nether_bricks",
      D: "alexscaves:peering_coprolith",
    })
    .id("easy_piglins:barterer");
});
